﻿using System;
using Telerik.Pivot.Core.Fields;

namespace RadPivotGrid_SL_645577
{
    public class CustomFieldInfo : PropertyFieldInfo
    {
        public CustomFieldInfo()
        {
            this.AutoGenerateField = true;
        }

        public override object GetValue(object item)
        {
            var product = item as Product;

            if (this.Name.StartsWith("[") && this.Name.EndsWith("]"))
            {
                int index = int.Parse(this.Name.Substring(1, this.Name.Length - 2));
                var myItem = item as Product;
                return myItem[index];
            }

            return null;
        }

        public override void SetValue(object item, object fieldValue)
        {
            throw new NotImplementedException();
        }
    }
}
