﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Controls;
using Telerik.Pivot.Core.Fields;

namespace RadPivotGrid_SL_645577
{
    public class MyFieldDescriptionsProvider : LocalDataSourceFieldDescriptionsProvider
    {
        public List<CustomFieldInfo> CustomFieldInfos { get; set; }
        
        public MyFieldDescriptionsProvider()
        {
            CustomFieldInfos = new List<CustomFieldInfo>();
            CustomFieldInfos.Add(new CustomFieldInfo { Name = "[0]", DisplayName = "[0]", AllowedRoles = FieldRoles.Row, PreferredRole = FieldRoles.Row });
            CustomFieldInfos.Add(new CustomFieldInfo { Name = "[1]", DisplayName = "[1]", AllowedRoles = FieldRoles.Row, PreferredRole = FieldRoles.Row });
            CustomFieldInfos.Add(new CustomFieldInfo { Name = "[2]", DisplayName = "[2]", AllowedRoles = FieldRoles.Row, PreferredRole = FieldRoles.Row });
            CustomFieldInfos.Add(new CustomFieldInfo { Name = "[3]", DisplayName = "[3]", AllowedRoles = FieldRoles.Row, PreferredRole = FieldRoles.Row });
        }

        protected override ContainerNode GetFieldDescriptionHierarchy(IEnumerable<IPivotFieldInfo> descriptions)
        {
            var rootNode = base.GetFieldDescriptionHierarchy(descriptions);

            foreach (CustomFieldInfo customFieldInfo in CustomFieldInfos)
            {
                var fieldInfo = new FieldInfoNode(customFieldInfo);
                rootNode.Children.Add(fieldInfo);
            }

            return rootNode;
        }

        protected override IFieldInfoData GenerateDescriptionsData()
        {
            return base.GenerateDescriptionsData();
        }

    }
}
